/*
 *
 * Created on 27. juni 2003, 15:59
 */

package dk.autocom.lib.email.tags;

import dk.autocom.lib.email.EmailContentHandler;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.tagext.BodyTagSupport;

/**
 * @author mf
 */
public class TextRowTag extends BodyTagSupport
{

  /**
   *
   */
  private static final long serialVersionUID = -4948679874891381903L;

  public final int doStartTag() throws JspException
  {
    TextContentTag.callStartTag(EmailContentHandler.ROW, null, pageContext);
    return EVAL_BODY_BUFFERED;
  }

  public final int doEndTag() throws JspException
  {
    String body = TextContentTag.retrieveBody(this);
    TextContentTag.callEndTag(EmailContentHandler.ROW, body, pageContext);
    return EVAL_PAGE;
  }
}
